Show / Hide Table of Contents

# Class SocketVoiceChannel

Represents a WebSocket-based voice channel in a guild.

##### Inheritance

System.Object
SocketEntity<System.UInt64>
SocketChannel
SocketGuildChannel
SocketVoiceChannel

##### Implements

IVoiceChannel
INestedChannel
IGuildChannel
IDeletable
ISocketAudioChannel
IAudioChannel
IChannel
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

SocketGuildChannel.Guild
SocketGuildChannel.Name
SocketGuildChannel.Position
SocketGuildChannel.PermissionOverwrites
SocketGuildChannel.ModifyAsync(Action<GuildChannelProperties>, RequestOptions)
SocketGuildChannel.DeleteAsync(RequestOptions)
SocketGuildChannel.GetPermissionOverwrite(IUser)
SocketGuildChannel.GetPermissionOverwrite(IRole)
SocketGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
SocketGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
SocketGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
SocketGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
SocketGuildChannel.ToString()
SocketGuildChannel.IGuildChannel.Guild
SocketGuildChannel.IGuildChannel.GuildId
SocketGuildChannel.IGuildChannel.GetPermissionOverwrite(IRole)
SocketGuildChannel.IGuildChannel.GetPermissionOverwrite(IUser)
SocketGuildChannel.IGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
SocketGuildChannel.IGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
SocketGuildChannel.IGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
SocketGuildChannel.IGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
SocketGuildChannel.IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
SocketChannel.CreatedAt
SocketChannel.IChannel.Name
SocketEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.WebSocket

###### Assembly: Discord.Net.WebSocket.dll

##### Syntax

    public class SocketVoiceChannel : SocketGuildChannel, IVoiceChannel, INestedChannel, IGuildChannel, IDeletable, ISocketAudioChannel, IAudioChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Bitrate

##### Declaration

    public int Bitrate { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Category

Gets the parent (category) channel of this channel.

##### Declaration

    public ICategoryChannel Category { get; }

##### Property Value

Type | Description
--- | ---
ICategoryChannel | A category channel representing the parent of this channel; `null` if none is set.

| Improve this Doc View Source

#### CategoryId

##### Declaration

    public ulong? CategoryId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> |

| Improve this Doc View Source

#### UserLimit

##### Declaration

    public int? UserLimit { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Users

##### Declaration

    public override IReadOnlyCollection<SocketGuildUser> Users { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<SocketGuildUser> |

##### Overrides

SocketGuildChannel.Users

### Methods

| Improve this Doc View Source

#### ConnectAsync(Boolean, Boolean, Boolean)

##### Declaration

    public Task<IAudioClient> ConnectAsync(bool selfDeaf = false, bool selfMute = false, bool external = false)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | selfDeaf |
System.Boolean | selfMute |
System.Boolean | external |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IAudioClient> |

| Improve this Doc View Source

#### CreateInviteAsync(Nullable<Int32>, Nullable<Int32>, Boolean, Boolean, RequestOptions)

##### Declaration

    public Task<IInviteMetadata> CreateInviteAsync(int? maxAge, int? maxUses = default(int? ), bool isTemporary = false, bool isUnique = false, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<System.Int32> | maxAge |
System.Nullable<System.Int32> | maxUses |
System.Boolean | isTemporary |
System.Boolean | isUnique |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IInviteMetadata> |

| Improve this Doc View Source

#### DisconnectAsync()

##### Declaration

    public Task DisconnectAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### GetInvitesAsync(RequestOptions)

##### Declaration

    public Task<IReadOnlyCollection<IInviteMetadata>> GetInvitesAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<System.Collections.Generic.IReadOnlyCollection<IInviteMetadata>> |

| Improve this Doc View Source

#### GetUser(UInt64)

##### Declaration

    public override SocketGuildUser GetUser(ulong id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id |

##### Returns

Type | Description
--- | ---
SocketGuildUser |

##### Overrides

SocketGuildChannel.GetUser(UInt64)
| Improve this Doc View Source

#### ModifyAsync(Action<VoiceChannelProperties>, RequestOptions)

##### Declaration

    public Task ModifyAsync(Action<VoiceChannelProperties> func, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<VoiceChannelProperties> | func |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### SyncPermissionsAsync(RequestOptions)

##### Declaration

    public Task SyncPermissionsAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IGuildChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)

##### Declaration

    Task<IGuildUser> IGuildChannel.GetUserAsync(ulong id, CacheMode mode, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt64 | id |
CacheMode | mode |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<IGuildUser> |

| Improve this Doc View Source

#### INestedChannel.GetCategoryAsync(CacheMode, RequestOptions)

##### Declaration

    Task<ICategoryChannel> INestedChannel.GetCategoryAsync(CacheMode mode, RequestOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
CacheMode | mode |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task<ICategoryChannel> |

### Implements

IVoiceChannel
INestedChannel
IGuildChannel
IDeletable
ISocketAudioChannel
IAudioChannel
IChannel
ISnowflakeEntity
IEntity<TId>